%define upstream_name    Array-PrintCols
%define upstream_version 2.6

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Print or format array elements in vertically sorted columns
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/Array/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::ShareDir) >= 1.0.0
BuildArch:  noarch

%description
Array::PrintCols is a Perl 5 module which defines a subroutine to
print arrays of elements in alphabetically, vertically sorted
columns.  Optional arguments can be given to control either the
width or number of the columns, the total width of the output, and
the amount of indentation.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Array
%{_mandir}/*/*

%changelog
* Sat Jun 18 2016 pterjan <pterjan> 2.600.0-5.mga6
+ Revision: 1022574
- Rebuild for perl 5.22.2

* Wed Feb 03 2016 umeabot <umeabot> 2.600.0-4.mga6
+ Revision: 932991
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.600.0-3.mga5
+ Revision: 742724
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.600.0-2.mga5
+ Revision: 683547
- Mageia 5 Mass Rebuild

* Mon Mar 03 2014 jquelin <jquelin> 2.600.0-1.mga5
+ Revision: 598672
- update to 2.6

* Mon Oct 21 2013 umeabot <umeabot> 2.500.0-2.mga4
+ Revision: 536980
- Mageia 4 Mass Rebuild

* Wed Sep 25 2013 sander85 <sander85> 2.500.0-1.mga4
+ Revision: 486061
- update to 2.5

* Sun Jan 13 2013 umeabot <umeabot> 2.100.0-2.mga3
+ Revision: 363160
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 2.100.0-1.mga1
+ Revision: 25901
- no meta.yml :-(
- mageia rebuild
- imported package perl-Array-PrintCols


* Fri Feb 12 2010 Jérôme Quelin <jquelin@mandriva.org> 2.100.0-1mdv2010.1
+ Revision: 504572
- rebuild using %%perl_convert_version

* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 2.1-7mdv2010.0
+ Revision: 430261
- rebuild

* Wed Jul 30 2008 Thierry Vignaud <tv@mandriva.org> 2.1-6mdv2009.0
+ Revision: 255341
- rebuild

* Sat Dec 22 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.1-4mdv2008.1
+ Revision: 136900
- spec cleanup

* Sat Dec 22 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.1-3mdv2008.1
+ Revision: 136887
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Fri Oct 27 2006 Nicolas Lécureuil <neoclust@mandriva.org> 2.1-2mdv2007.0
+ Revision: 73296
- import perl-Array-PrintCols-2.1-2mdk

* Fri Apr 28 2006 Nicolas Lcureuil <neoclust@mandriva.org> 2.1-2mdk
- Fix SPEC Using perl Policies
	- Source URL
- use mkrel

* Fri Jul 15 2005 Oden Eriksson <oeriksson@mandriva.com> 2.1-1mdk
- initial Mandriva package 
- adde P0 from PLD

